std::regex_error(3cxx)

NAME
std::regex_error - A regular expression exception class.

SYNOPSIS

Inherits std::runtime_error.

  Public Member Functions

regex_error (regex_constants::error_type __ecode)
Constructs a regex_error object.
regex_constants::error_type code () const noexcept
Gets the regex error code.
virtual const char * what () const noexcept

  Friends

void __throw_regex_error (regex_constants::error_type, const char *)

Detailed Description

A regular expression exception class.

The regular expression library throws objects of this class on error.

Constructor & Destructor Documentation

  std::regex_error::regex_error (regex_constants::error_type __ecode) [explicit]

Constructs a regex_error object.

Parameters
    __ecode the regex error code.

Member Function Documentation

  regex_constants::error_type std::regex_error::code () const [inline], [noexcept]

Gets the regex error code.

Returns
    the regex error code.

  virtual const char* std::runtime_error::what () const [virtual], [noexcept], [inherited]
Returns a C-style character string describing the general cause of the current error (the same string passed to the ctor).

Reimplemented from std::exception.

Reimplemented in std::experimental::filesystem::v1::filesystem_error, and std::filesystem::filesystem_error.

Author

Generated automatically by Doxygen for libstdc++ from the source code.